# Unlinks a custom field from a template.

POST https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/unlinkcustomfielddefinition

Unlinks a custom field from a template. When the definition is unlinked from a project template, all values of the custom field will be removed from the task templates within that project template.

<Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:write` permissions.</Check>

## Request example

```sh
curl -X POST --globoff 'https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/unlinkcustomfielddefinition' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  --data '{
  "customFieldDefinitionId": "123e4567-e89b-12d3-a456-426614174000"
}'
```

- path parameter `projectTemplateId`: string (required). The id of the project template to unlink the custom field definition from.

## Request body (application/json)

- `customFieldDefinitionId`: string (required)

## Response 204

No Content

## Response 400

Bad Request

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```

## Response 404

Not Found

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
